Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.dnd
Class DropTargetAction

    java.lang.Object
      de.jsystems.framework.common.action.AbstractAction
          de.jsystems.framework.common.action.dnd.DropTargetAction

All Implemented Interfaces:
  DropTargetListener, EventListener

public class DropTargetAction
extends AbstractAction
implements DropTargetListener

Actionimplementierung fuer DropTargetDragEvent, DropTargetEvent und DropTargetDropEvent.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Constructor Summary
`DropTargetAction()`

Method Summary
`void` | `doDragEnter(DropTargetDragEvent dtde)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doDragExit(DropTargetEvent dte)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doDragOver(DropTargetDragEvent dtde)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doDrop(DropTargetDropEvent dtde)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doDropActionChanged(DropTargetDragEvent dtde)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `dragEnter(DropTargetDragEvent dtde)`
`void` | `dragExit(DropTargetEvent dte)`
`void` | `dragOver(DropTargetDragEvent dtde)`
`void` | `drop(DropTargetDropEvent dtde)`
`void` | `dropActionChanged(DropTargetDragEvent dtde)`

Methods inherited from class de.jsystems.framework.common.action.AbstractAction
`addControl, disable, enable, exceptionInAction, getController, getControls, getException, getView, hasException, initialize, isEnabled, removeAll, removeControl, setException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DropTargetAction

    public DropTargetAction()

Method Detail

### dragEnter

    public void dragEnter(DropTargetDragEvent dtde)

  Specified by:
    `dragEnter` in interface `DropTargetListener`

### doDragEnter

    public void doDragEnter(DropTargetDragEvent dtde)
                     throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `dtde` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### dragOver

    public void dragOver(DropTargetDragEvent dtde)

  Specified by:
    `dragOver` in interface `DropTargetListener`

### doDragOver

    public void doDragOver(DropTargetDragEvent dtde)
                    throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `dtde` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### dropActionChanged

    public void dropActionChanged(DropTargetDragEvent dtde)

  Specified by:
    `dropActionChanged` in interface `DropTargetListener`

### doDropActionChanged

    public void doDropActionChanged(DropTargetDragEvent dtde)
                             throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `dtde` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### dragExit

    public void dragExit(DropTargetEvent dte)

  Specified by:
    `dragExit` in interface `DropTargetListener`

### doDragExit

    public void doDragExit(DropTargetEvent dte)
                    throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `dte` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### drop

    public void drop(DropTargetDropEvent dtde)

  Specified by:
    `drop` in interface `DropTargetListener`

### doDrop

    public void doDrop(DropTargetDropEvent dtde)
                throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `dtde` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD